%define name ddd
%define version 3.3.1
%define release 1mdk
%define url ftp://ftp.gnu.org/pub/gnu/ddd

Name: %{name}
Summary: DDD is a Graphical frontend for GDB
Version: %{version}
Release: %{release}
Source: %{url}/%{name}-%{version}.tar.bz2
Source1: %{url}/ddd-%{version}-pics.tar.bz2
Group: Development/Other
URL: http://www.gnu.org/software/ddd/
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Prereq: /sbin/install-info
BuildPreReq: lesstif-devel
Requires: lesstif, gdb

%description
The Data Display Debugger (DDD) is a popular GUI for command-line
debuggers like GDB, DBX, JDB, WDB, XDB, the Perl debugger, and the
Python debugger.  DDD allows you to view source texts and provides an
interactive graphical data display, in which data structures are
displayed as graphs.  You can use your mouse to dereference pointers
or view structure contents, which are updated every time the program
stops.  DDD can debug programs written in Ada, C, C++, Chill, Fortran,
Java, Modula, Pascal, Perl, and Python.  DDD provides machine-level
debugging; hypertext source navigation and lookup; breakpoint,
watchpoint, backtrace, and history editors; array plots; undo and
redo; preferences and settings editors; program execution in the
terminal emulation window, debugging on a remote host, an on-line
manual, extensive help on the Motif user interface, and a command-line
interface with full editing, history and completion capabilities.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -b 1

%build
cp -f /usr/share/libtool/config.* .
%configure --with-motif-includes=/usr/X11R6/LessTif/Motif1.2/include/ --with-motif-libraries=/usr/X11R6/LessTif/Motif1.2/lib
%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall

mkdir $RPM_BUILD_ROOT%{_docdir}

rm -f $RPM_BUILD_ROOT/%{_infodir}/dir

install -m 755 pydb/pydb.py $RPM_BUILD_ROOT/%{_bindir}
install -m 755 pydb/pydbcmd.py $RPM_BUILD_ROOT/%{_bindir}
install -m 755 pydb/pydbsupt.py $RPM_BUILD_ROOT/%{_bindir}

cd $RPM_BUILD_ROOT%{_bindir}
ln -sf pydb.py pydb

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/ddd"\
title="Ddd"\
longtitle="Data Display Debugger"\
needs="x11"\
section="Applications/Development/Tools"
EOF
)
 
%post
%_install_info %{name}.info

%{update_menus}
 
%postun
%_remove_install_info %{name}.info

%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc doc/README doc/ddd.pdf doc/ddd-paper.ps doc/sample.dddinit
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/*
%{_menudir}/*
%dir %{_datadir}/%{name}-%{version}
%{_datadir}/%{name}-%{version}/ddd
%{_datadir}/%{name}-%{version}/themes
%{_datadir}/%{name}-%{version}/vsllib

%changelog
* Thu Jun 21 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.3.1-1mdk
- Rework/Sanetize the package.
- 3.3.1.

* Sun Mar 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.3-3mdk
- fix files section

* Wed Feb 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.3-2mdk
- fixes descompression of doc (thx Ryan T. Sammartino)

* Tue Feb 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.3-1mdk
- updated to 3.3

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.2.1-3mdk
- ifarch ppc

* Mon Jan 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.2.1-2mdk
- disabled athena widgets

* Thu Sep 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.2.1-1mdk
- updated to 3.2.1
- add doc
- bm & macros

* Thu Jan 20 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs 
- used srpm provided by Dara Hazeghi <dhazeghi@pacbell.net>
